Page MenuHomePhabricator

WikiLove: Fix "JQMIGRATE: jQuery.fn.attr('checked') may use property instead of attribute"
Closed, ResolvedPublic

Description

When I click in the first group of Wikilove popup I get
"JQMIGRATE: jQuery.fn.attr('checked') may use property instead of attribute"
from this line:
https://github.com/wikimedia/mediawiki-extensions-WikiLove/blob/master/resources/ext.wikiLove.core.js#L421

$( '#mw-wikilove-notify-checkbox' ).attr('checked', false);

Details

Reference
bz69349

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:35 AM
bzimport set Reference to bz69349.
bzimport added a subscriber: Unknown Object (MLST).
He7d3r created this task.Aug 9 2014, 6:24 PM
Krinkle raised the priority of this task from Medium to High.Nov 24 2014, 10:43 PM
Krinkle set Security to None.
Krinkle removed a subscriber: Unknown Object (MLST).

Reminder: The first major jQuery upgrade will be commencing its finalisation soon soon (per announcement; within the first few cycles of 1.25wmf, after MedIaWiki 1.24.0 is released). Please migrate calls to deprecated methods.

Change 175600 had a related patch set uploaded (by Kaldari):
Migrating from attr() to prop()

https://gerrit.wikimedia.org/r/175600

Patch-For-Review

Change 175600 merged by jenkins-bot:
Migrating from attr() to prop()

https://gerrit.wikimedia.org/r/175600

Krinkle closed this task as Resolved.Nov 25 2014, 5:29 PM
Krinkle claimed this task.
Krinkle updated the task description. (Show Details)Nov 25 2014, 8:27 PM
Krinkle removed a project: Patch-For-Review.